Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006665OCaml~DO NOT USE (was: OCaml general)public2014-11-19 14:122014-12-24 17:26
Reporterglondu 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version
Product Version4.02.1 
Target Version4.02.2+dev / +rc1Fixed in Version4.02.2+dev / +rc1 
Summary0006665: Failure of tests/asmcomp on sparc
DescriptionOn sparc (on Debian), many tests from this directory fail.
Additional InformationRunning tests from 'tests/asmcomp' ...
make arch codegen
make tests
 ... testing 'fib':/tmp/ccTc3pIr.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:62: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'tak':/tmp/ccEO2X4P.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:52: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'quicksort':/tmp/ccRfwbJn.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:90: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'quicksort2':/tmp/ccqU1poP.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:90: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'soli':/tmp/cc2eGYYm.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:52: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'arith':/tmp/ccSGBYFO.o: In function `do_test':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/mainarith.c:67: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'checkbound':/tmp/ccejj4x4.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:113: undefined reference to `call_gen_code'
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:119: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'tagged-fib':/tmp/ccvFpEix.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:62: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'tagged-integr':/tmp/ccjViqo3.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:71: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'tagged-quicksort':/tmp/ccbDwJmE.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:90: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'tagged-tak':/tmp/cczfkcJ6.o: In function `main':
/«PKGBUILDDIR»/testsuite/tests/asmcomp/main.c:52: undefined reference to `call_gen_code'
collect2: error: ld returned 1 exit status
 => failed
 ... testing 'optargs': => passed
 ... testing 'staticalloc': => passed
Tagspatch
Attached Filespatch file icon 0009-Fix-asmcomp-tests-on-sparc.patch [^] (788 bytes) 2014-11-20 17:38 [Show Content]

- Relationships

-  Notes
(0012552)
glondu (reporter)
2014-11-20 17:39

I've attached a patch that fixes the issue.
(0012983)
doligez (administrator)
2014-12-24 17:26

Thanks for the report and patch.

Applied to 4.02 (rev 15743) and trunk (rev 15744).

- Issue History
Date Modified Username Field Change
2014-11-19 14:12 glondu New Issue
2014-11-20 17:38 glondu File Added: 0009-Fix-asmcomp-tests-on-sparc.patch
2014-11-20 17:39 glondu Note Added: 0012552
2014-12-09 23:42 doligez Target Version => 4.02.2+dev / +rc1
2014-12-09 23:42 doligez Tag Attached: patch
2014-12-24 17:26 doligez Note Added: 0012983
2014-12-24 17:26 doligez Status new => closed
2014-12-24 17:26 doligez Resolution open => fixed
2014-12-24 17:26 doligez Fixed in Version => 4.02.2+dev / +rc1
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-03 17:55 doligez Category -OCaml general => -(deprecated) general
2017-03-03 18:01 doligez Category -(deprecated) general => ~deprecated (was: OCaml general)
2017-03-06 17:04 doligez Category ~deprecated (was: OCaml general) => ~DO NOT USE (was: OCaml general)


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker